PSTREE(1)

NUME
pstree - afișează un arbore de procese

REZUMAT
pstree [-a, --arguments] [-c, --compact-not] [-C, --color attr] [-g, --show-pgids] [-h, --highlight-all, -H pid, --highlight-pid pid] [-l, --long] [-n, --numeric-sort] [-N, --ns-sort ns] [-p, --show-pids] [-s, --show-parents] [-S, --ns-changes] [-t, --thread-names] [-T, --hide-threads] [-u, --uid-changes] [-Z, --security-context] [-A, --ascii, -G, --vt100, -U, --unicode] [pid, utilizator]
pstree -V, --version

DESCRIERE
pstree arată procesele care rulează sub formă de arbore. Arborele este înrădăcinat fie la pid, fie la init dacă pid este omis. Dacă este specificat un nume de utilizator, sunt afișați toți arborii de proces cu rădăcină la procesele deținute de acel utilizator.

pstree îmbină vizual ramuri identice punându-le între paranteze drepte și prefixându-le cu numărul de repetiții, de exemplu:

    init-+-getty
         |-getty
         |-getty
         `-getty

devine

    init---4*[getty]

Firele secundare ale unui proces sunt găsite sub procesul părinte și sunt afișate cu numele procesului în acolade, de exemplu:

    icecast2---13*[{icecast2}]

Dacă pstree este apelat ca pstree.x11, atunci acesta va solicita utilizatorului să apese «Enter» la sfârșitul liniei și nu returnează controlul până când nu se va întâmpla acest lucru. Acest lucru este util atunci când pstree este rulat într-un xterminal.

Anumiți parametri de nucleu sau de montare, cum ar fi opțiunea hidepid pentru «procfs», vor ascunde informațiile pentru unele procese. În aceste situații, pstree va încerca să construiască arborele fără aceste informații, arătând numele proceselor ca semne de întrebare.

OPȚIUNI

-a  Afișează argumentele liniei de comandă. Dacă linia de comandă a unui proces este schimbată, acel proces este afișat în paranteze. -a dezactivează implicit compactarea pentru procese, dar nu pentru fire.

-A  Utilizează caractere ASCII pentru a desena arborele.

-c  Dezactivează compactarea subarborilor identici. În mod implicit, subarborii sunt compactați ori de câte ori este posibil.

-C  Colorează numele procesului după atributul dat. În prezent, pstree acceptă doar valoarea age care colorează după vârsta procesului. Procesele mai noi de 60 de secunde sunt verzi, mai noi de o oră galbene și cele rămase roșii.

-g  Afișează PGID-urile. ID-urile grupurilor de procese sunt afișate ca numere zecimale în paranteze după fiecare nume de proces. Dacă sunt afișate atât PID-urile, cât și PGID-urile, atunci PID-urile sunt afișate mai întâi.

-G  Utilizează caractere VT100 pentru a desena linii.

-h  Evidențiază procesul actual și „strămoșii” săi. Această opțiune nu face nimic dacă terminalul nu acceptă evidențierea sau dacă nici procesul curent, nici vreunul dintre „strămoșii” săi nu se află în subarborele care este afișat.

-H  Ca -h, dar evidențiază procesul specificat în schimb. Spre deosebire de -h, pstree eșuează când se folosește -H dacă evidențierea nu este disponibilă.

-l  Afișează linii lungi. În mod implicit, liniile sunt trunchiate fie la variabila de mediu COLUMNS, fie la lățimea afișajului. Dacă niciuna dintre aceste metode nu funcționează, se folosește valoarea implicită de 132 de coloane.

-n  Sortează procesele cu același părinte după PID și nu după nume (sortare numerică).

-N  Afișează arbori individuali pentru fiecare spațiu de nume de tipul specificat. Tipurile disponibile sunt: ipc, mnt, net, pid, time, user, uts. Utilizatorii obișnuiți nu au acces la informațiile despre procesele altor utilizatori, astfel încât rezultatul va fi limitat.

-p  Afișează PID-urile. PID-urile sunt afișate ca numere zecimale între paranteze după fiecare nume de proces. -p dezactivează implicit compactarea.

-s  Afișează procesele părinte ale procesului specificat.

-S  Afișează tranzițiile de spații de nume. La fel ca opțiunea -N, ieșirea este limitată atunci când rulează ca utilizator obișnuit.

-t  Afișează numele complete pentru firele de execuție atunci când sunt disponibile.

-T  Ascunde firele de execuție și arată numai procesele.

-u  Afișează tranzițiile uid. Ori de câte ori uid-ul unui proces diferă de uid-ul părintelui său, noul uid este afișat în paranteze după numele procesului.

-U  Utilizează caractere UTF-8 (Unicode) pentru desenul liniilor. Sub Linux 1.1-54 și versiuni ulterioare, consola intră în modul UTF-8 cu echo -e ' 33%8' și iese cu echo -e ' 33%@'.

-V  Afișează informațiile despre versiune.

-Z  Afișează atributele de securitate curente ale procesului. Pentru sistemele SELinux acesta va fi contextul de securitate.

FIȘIERE

/proc
    locația sistemului de fișiere proc

ERORI
Unele seturi de caractere pot fi incompatibile cu caracterele VT100.

CONSULTAȚI ȘI
ps(1), top(1), proc(5).